﻿
if exists (Select * from sysobjects where id= object_id ( 'dbo.A_Policy_AddPrivilegesForUser' ))
	Drop procedure dbo.A_Policy_AddPrivilegesForUser
GO

Create procedure dbo.A_Policy_AddPrivilegesForUser
	@iduser uniqueidentifier, 
	@idobject uniqueidentifier
as
begin
	-- Принудительно добавляет пользователю все привилегии на указанный объект
	
	Delete 
	From A_Policy_SubjectPrivileges 
	Where idobject = @idobject and idsubject=@iduser

	Insert Into A_Policy_SubjectPrivileges ( idsubject, subjtype, subjextraid, idobject, idprivilege, value, isdefault, idcreator )
		Select @iduser, 1, null, @idobject, pp.id, 1, 0, '00000000-0000-0000-0000-000000000000'
		From A_Policy_Privileges pp 
			Inner join A_Policy_ObjectTypes pot on pot.id = pp.objType
			Inner join A_Policy_Objects o on o.type = pot.id
		Where o.id = @idobject

	exec [A_Policy_SubjectGroupCache_SetUpdate]
end
GO