﻿USE oktell_cc_temp
GO

USE oktell_cc_temp
IF OBJECT_ID('dbo.Tmp_A_Cube_CC_EffortConnections') IS NOT NULL
    DROP TABLE [dbo].[Tmp_A_Cube_CC_EffortConnections]
GO

USE oktell_cc_temp
CREATE TABLE [dbo].[Tmp_A_Cube_CC_EffortConnections] (
	[IdProject] uniqueidentifier NOT NULL,
	[IdTask] uniqueidentifier NOT NULL,
	[IsOutput] bit NOT NULL,
	[IdEffort] uniqueidentifier NOT NULL,
	[IdOperator] uniqueidentifier NULL,
	[IdInList] int NOT NULL,
	[AbonentNumber] nvarchar(20) collate database_default NOT NULL,
	[CallResult] int NOT NULL,
	[CallResultInfo] nvarchar(100) collate database_default NOT NULL,
	[DateTimeStart] datetime NOT NULL,
	[DateStart] datetime NOT NULL,
	[TimeStart] datetime NOT NULL,
	[DateTimeStop] datetime NOT NULL,
	[IdConn] uniqueidentifier NULL,
	[IdChain] uniqueidentifier NULL,
	[IdAUser] uniqueidentifier NULL,
	[IdBUser] uniqueidentifier NULL,
	[IdExtLine] uniqueidentifier NOT NULL,
	[LenTime] float NOT NULL,
	[LenQueue] float NOT NULL,
	[IsBetweenOp] bit NULL,
	[OpponentInfo] nvarchar(100) collate database_default NULL,
	[IsHandled] bit NOT NULL,
	[IsSuccess] bit NOT NULL,
	[IsRecorded] bit NULL,
	[IdRecDir] int NULL,
	[ALineNum] nvarchar(12) collate database_default NULL,
	[BLineNum] nvarchar(12) collate database_default NULL,
	[UserResult] int NULL,
	[id] bigint IDENTITY(1, 1) NOT NULL,
	CONSTRAINT [Tmp_A_Cube_CC_EffortConnections_id_PK]
	PRIMARY KEY CLUSTERED ([id] ASC)
)
GO

USE oktell_cc_temp
IF OBJECT_ID('dbo.tmp_cube_track') IS NOT NULL
    DROP TABLE [dbo].[tmp_cube_track]
GO

USE oktell_cc_temp
CREATE TABLE [dbo].[tmp_cube_track] 
(
	[last_id] BIGINT NULL,
	[curr_id] BIGINT NULL,
	[last_delete_dt] DATETIME
)
GO

USE oktell_cc_temp
INSERT INTO [oktell_cc_temp].[dbo].[tmp_cube_track] 
VALUES (0,0,getdate())
GO

USE oktell
GO