﻿if exists ( select * from sysobjects where id=object_id ( 'dbo.sp_SaveStreamAsFile' ))
	Drop procedure dbo.sp_SaveStreamAsFile
GO

Create PROCEDURE [dbo].[sp_SaveStreamAsFile] 
	@FilePath nvarchar(2000), --путь файла
	@table nvarchar(2000),
	@field nvarchar(2000),
	@condition nvarchar(2000)
AS
Begin

	-- sp_configure 'show advanced options', 1;
	-- GO
	-- RECONFIGURE;
	-- GO
	-- sp_configure 'Ole Automation Procedures', 1;
	-- GO
	-- RECONFIGURE;
	-- GO

	Declare
		@lenquery nvarchar(2000), --'Select @k = DataLength(Stream) From A_Streams Where Name like ''WP'''
		@query nvarchar(2000)	  --'Select @k = substring ( Stream, @Pos + 1, @BufSize ) From A_Streams Where Name like ''WP'''

	Set @lenquery = 'Select @k = DataLength (' + @field + ') From ' + @table + ' Where ' + @condition
	Set @query = 'Select @k = SubString (' + @field + ', @Pos + 1, @BufSize ) From ' + @table + ' Where ' + @condition

	Declare
	  	@Stream integer,
 	  	@Buffer varbinary(4096),
	  	@Size integer,
		@Pos integer,
		@BufSize integer,
		@FileNameLocal varchar(2000),
		@HR integer

	set @FileNameLocal = @FilePath

	SET @BufSize = 4096

	EXEC @HR = sp_OACreate 'ADODB.Stream',@Stream OUT
	if @HR != 0 begin
	  --обработка ошибки создания объекта
 	  EXEC [dbo].[sp_displayoaerrorinfo] @Stream ,@HR
	end

	EXEC @HR = sp_OASetProperty @Stream,'Type',1 -- binary
	EXEC @HR = sp_OASetProperty @Stream,'Mode',3 -- write|read
	EXEC @HR = sp_OAMethod @Stream,'Open'
	

	set @Size = 0
	exec sp_executesql @lenquery, N'@k int output', @k = @Size output
	
	Set @Pos=0

	WHILE @Pos < @Size BEGIN
	  SET @BufSize = CASE WHEN @Size - @Pos < 4096 THEN @Size - @Pos ELSE 4096 END

	  --Set @query = 'Select @k = substring (' + @field + ', @Pos + 1, @BufSize ) From A_Streams Where Name like ''WP'''
  	
	  Exec sp_executesql @query, N'@k varbinary(4096) output, @Pos int, @BufSize int', @k = @Buffer output, @Pos = @Pos, @BufSize = @BufSize

	  EXEC @HR = sp_OAMethod @Stream, 'Write', NULL, @Buffer

	  SET @Pos = @Pos + @BufSize
	END

	EXEC @HR = sp_OAMethod @Stream,'SaveToFile',null, @FileNameLocal,2
	EXEC @HR = sp_OAMethod @Stream,'Close'
	EXEC @HR = sp_OADestroy @Stream
END
GO
