﻿
if exists ( select * from sysobjects where id = object_id ( 'dbo.A_Stat_Get1x1VoiceMap' ))
	Drop procedure dbo.A_Stat_Get1x1VoiceMap
GO

Create procedure dbo.A_Stat_Get1x1VoiceMap
	@idconn uniqueidentifier
as
begin
		
	Select DataLength(vm.AVoiceMap) as AStreamLen, vm.AVoiceMap, 
			DataLength(vm.BVoiceMap) as BStreamLen, vm.BVoiceMap, 
			vm.ALen, vm.BLen,
			sc.ALineNum, sc.BLineNum
	From dbo.A_Stat_Connections_1x1_VoiceMap vm
		Inner join dbo.A_Stat_Connections_1x1 sc on sc.Id = vm.IdConn
	Where idconn = @idconn
	
end
GO


if exists ( select * from sysobjects where id = object_id ( 'dbo.A_Stat_Connection_GetVoiceParams' ))
	Drop procedure dbo.[A_Stat_Connection_GetVoiceParams]
GO

Create procedure [dbo].[A_Stat_Connection_GetVoiceParams]
	@idconn uniqueidentifier
as
begin

	Select vp.avperc, vp.bvperc, sp.ALineNum, sp.BLineNum
	From A_Stat_Connections_VoicePerc vp
		Inner join A_Stat_Connections_1x1 sp on sp.Id = vp.IdConn
	Where idconn = @idconn
	
end
GO


