﻿if exists ( select * from sysobjects where id = object_id ( 'dbo.A_Chat_Members_Add' ))
	Drop procedure dbo.A_Chat_Members_Add
GO

Create procedure [dbo].[A_Chat_Members_Add]
	@dialogid	uniqueidentifier,
	@member	uniqueidentifier,
	@addeduserid uniqueidentifier = '00000000-0000-0000-0000-000000000000'	
as
begin
		-- Добавляет указанного участника в чат
		if not exists ( Select * From dbo.[A_Chat_Members] Where (iddialog = @dialogid) and (IdUser = @member) )
			Insert into dbo.[A_Chat_Members] ( IdDialog, IdUser, IdAddedUser )
			Values ( @dialogid, @member, @addeduserid )		

end
GO